<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2011 JoomPROD.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();

include_once(JPATH_ROOT.'/administrator/components/com_invoicing/views/default/view.html.php');

class InvoicingDispatcher extends FOFDispatcher
{	
	public function onBeforeDispatch() {
		if ($result = parent::onBeforeDispatch()) {
			/*Jquery non conflict mode*/
			$document = JFactory::getDocument();
			FOFTemplateUtils::addJS('media://com_invoicing/js/jquery-1.8.0.min.js');
			FOFTemplateUtils::addJS('media://com_invoicing/js/noconflict.js');
			FOFTemplateUtils::addJS('media://com_invoicing/js/jquery-ui-1.8.23.custom.min.js');
			FOFTemplateUtils::addCSS('media://com_invoicing/css/ui-lightness/jquery-ui-1.8.23.custom.css');
			FOFTemplateUtils::addCSS('media://com_invoicing/css/frontend.css');
			FOFTemplateUtils::addCSS('media://com_invoicing/css/backend.css');
		}
		return $result;
	}
}