<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.model');
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_paidsystem'.DS.'tables');

/**
 * @package		Joomla
 * @subpackage	Contact
 */
class PaidsystemModelCategory extends TModel
{    
	function getCategories($search= "") {

		//$this->_db->query("ALTER TABLE #__paidsystem_categories ADD `featured` float;");exit();
		$query = "SELECT c.*,p.specific,p.price".
				 ",p.image_price,p.num_images ".
				 "FROM #__adsmanager_categories as c ".
		         "LEFT JOIN #__paidsystem_categories as p ON p.id = c.id ".
				 "WHERE 1 ";
/*$query = "SELECT c.*,p.specific,p.featured,p.highlight,p.top,p.price,p.highlight_price,p.highlight_duration,".
				 "p.featured_price,p.featured_duration,p.top_price,p.top_duration,p.top_period,p.image_price,p.num_images ".
				 "FROM #__adsmanager_categories as c ".
		         "LEFT JOIN #__paidsystem_categories as p ON p.id = c.id ".
				 "WHERE 1 ";*/
		if ($search != "") {
			$query .= " AND (c.name LIKE '%".$this->_db->getEscaped($search,true)."%')";
		}
		$query .="ORDER BY c.parent,c.ordering";
		
    	$this->_db->setQuery($query);
		$cats = $this->_db->loadObjectList();
		return $cats;
    }
    
	function getNbCats($search = "")
	{
		$query =  " SELECT count(*) FROM #__adsmanager_categories as c ".
				  " WHERE 1";
		if ($search != "") {
			$query .= " AND (c.name LIKE '%".$this->_db->getEscaped($search,true)."%')";
		}
		$this->_db->setQuery($query);				 
		$nb = $this->_db->loadResult();
		return $nb;
	}
	
	function updateCategories($tid,$total,$specific,$price,$num_images,$image_price)
	{
		// update ordering values
		for( $i=0; $i < $total; $i++ ) {
			$id = $tid[$i];
			if ($specific[$i] == "")
				$specific[$i] = 0;
			$_specific = $specific[$i];
			$_price = $price[$i];
			$_num_images = $num_images[$i];
			$_image_price = $image_price[$i];
			$this->_db->setQuery("DELETE FROM #__paidsystem_categories WHERE id = $id");
			$this->_db->query();
			$query ="INSERT INTO #__paidsystem_categories (`id`,`specific`,`price`,`num_images`,`image_price`)".
					" VALUES ('$id','$_specific','$_price','$_num_images','$_image_price')";
			//echo $query;
			$this->_db->setQuery($query);
			$this->_db->query();
		} // for
	}
}
