<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
	$saveOrderingUrl = 'index.php?option=com_adsmanager&c=fields&task=saveorder&format=json';
	JHtml::_('sortablelist.sortable', 'itemsList', 'adminForm', 'asc', $saveOrderingUrl,true,true);
	$hasAjaxOrderingSupport = true;
} else {
	$hasAjaxOrderingSupport = false;
}
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
	<table class="adminheading table table-striped">
		<tr><th class="categories" rowspan="2" nowrap><?php echo JText::_('PAIDSYSTEM_ADMIN_TOPS');?></th></tr>
		<tr>
			<td align="right">
			<?php echo JText::_('PAIDSYSTEM_ADMIN_FILTER');?>:
			</td>
			<td>
			<input type="text" name="search" value="<?php echo $this->search;?>" class="text_area" onChange="document.adminForm.submit();" />
			</td>
			<?php if(version_compare(JVERSION, '3.0', 'ge')) {?>
			<td>
			<?php echo $this->pagination->getLimitBox(); ?>
			</td>
			<?php } ?>
		</tr>
	</table>
	<br/>
	<div align="left"><?php echo JText::_('PAIDSYSTEM_TOP_EXPLANATION');?></div>
	<br/>
	<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist table table-striped" id="itemsList">
	<tr>
	<?php if (version_compare(JVERSION,'3.0.0','>=')): ?>
    <th width="1%" class="nowrap center hidden-phone">					
    </th>
    <?php endif; ?>
    <?php if (version_compare(JVERSION,'2.5.0','>=')) { ?>
    <th width="3%" class="hidden-phone"> <input type="checkbox" name="toggle" value="" onClick="Joomla.checkAll(this);" />
    <?php } else { ?>
    <th width="3%" class="hidden-phone"> <input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count($this->rows); ?>);" />
    <?php } ?>
    <th class="title hidden-phone" width="2%">Id</th>
	<th class="title" width="20%"><?php echo JText::_('PAIDSYSTEM_TH_NAME');?></th>
	<th class="title" width="20%"><?php echo JText::_('PAIDSYSTEM_DURATION');?></th>
	<th class="title" width="20%"><?php echo JText::_('PAIDSYSTEM_PRICE');?></th>
	<?php if (version_compare(JVERSION,'3.0.0','<')): ?>
	<th class="order" align="center" nowrap="nowrap" width="8%">
	    <?php echo JText::_('PAIDSYSTEM_ORDER'); ?>
	    <?php echo JHTML::_('grid.order',  $this->rows ); ?>
	</th>
	<?php endif; ?>
	<th class="title" width="40%"><?php echo JText::_('PAIDSYSTEM_TH_PUBLISH');?></th>
	</tr>
	<?php
	$num = 0;
	$i=0;
	foreach ($this->rows as $row) {
		 ?>
		 <tr class="row<?php echo ($num & 1); ?>">
		 <?php if (version_compare(JVERSION,'3.0.0','>=')): ?>
         <td class="order nowrap center hidden-phone">
			<span class="sortable-handler hasTooltip " data-original-title="" style="cursor: move;">
				<i class="icon-menu"></i>
			</span>
            <input type="text" style="display:none"  name="order[]" size="5"
			value="<?php echo $i;?>" class="input-mini text-area-order " />
		</td>
        <?php endif; ?>
		 <td class="hidden-phone"><input type="checkbox" id="cb<?php echo $num;?>" name="tid[]" value="<?php echo $row->id; ?>" onclick="isChecked(this.checked);" /></td>

		<td class="hidden-phone"><a href="index.php?option=com_paidsystem&c=tops&task=edit&tid[]=<?php echo $row->id; ?>"><?php echo $row->id; ?></a></td>
		<td>
					<a href="index.php?option=com_paidsystem&c=tops&task=edit&tid[]=<?php echo $row->id; ?>"><?php echo $row->title; ?></a>
		</td>
		<td>
			<?php echo $row->duration; ?>
		</td>
		<td>
			<?php echo $row->credits; ?>
		</td>
		<?php if (version_compare(JVERSION,'3.0.0','<')): ?>
		<td class="order">
			<span><?php echo $this->pagination->orderUpIcon( $num); ?></span>
			<span><?php echo $this->pagination->orderDownIcon( $num, count( $this->rows )); ?></span>
		    <input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" />
	    </td>
	    <?php endif ?>
		<td>
			<?php echo JHTML::_('grid.published', $row, $num ); ?>
		</td>
		</tr>
		<?php
		$num++;
		$i++;
	}
	?>
	</table>
	<?php 
	echo $this->pagination->getListFooter();
	?>

	<input type="hidden" name="option" value="com_paidsystem" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="c" value="tops" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?> 
	</form> 