<?php
/**
 *  @package Invoicing
 *  @copyright Copyright (c)203 Juloa.com
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHtml::_('behavior.tooltip');
if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
} else {
	JHTML::_('behavior.mootools');
}

$this->loadHelper('select');
$this->loadHelper('cparams');
$this->loadHelper('format');

$hasAjaxOrderingSupport = $this->hasAjaxOrderingSupport();
?>
<div class="row-fluid">
<div class="span12">

<form action="index.php" method="post" name="adminForm" id="adminForm">
<input type="hidden" name="option" value="com_invoicing" />
<input type="hidden" name="view" value="coupons" />
<input type="hidden" id="task" name="task" value="browse" />
<input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
<input type="hidden" name="boxchecked" id="boxchecked" value="0" />
<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
<?php echo JHTML::_( 'form.token' ); ?>

<input type="text" name="search" id="search"
	value="<?php echo $this->escape($this->getModel()->getState('search',''));?>"
	class="input-medium" onchange="document.adminForm.submit();"
	placeholder="<?php echo JText::_('COM_INVOICING_COMMON_SEARCH')?>"
	/>
<nobr>
<button class="btn btn-mini" onclick="this.form.submit();">
	<?php echo JText::_('JSEARCH_FILTER'); ?>
</button>
<button class="btn btn-mini" onclick="document.adminForm.search.value='';this.form.submit();">
	<?php echo JText::_('JSEARCH_RESET'); ?>
</button>
</nobr>

<div class="filter-select fltrt">
<?php echo InvoicingHelperSelect::published($this->getModel()->getState('enabled',''), 'enabled', array('onchange'=>'this.form.submit();', 'class'=>'input-medium')) ?>
</div>

<table class="adminlist table table-striped" id="itemsList">
	<thead>
		<tr>
			<th>
				<?php echo JHTML::_('grid.sort', 'Num', 'invoicing_coupon_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
			<th></th>
			<th width="20%">
				<?php echo JHTML::_('grid.sort', 'INVOICING_COUPON_TITLE', 'invoicing_coupon_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
			<th width="20%">
				<?php echo JHTML::_('grid.sort', 'INVOICING_COUPON_CODE', 'code', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
			<th>
				<?php echo JText::_('INVOICING_COUPON_VALUETYPE') ?>
			</th>
			<th>
				<?php echo JText::_('INVOICING_COUPON_VALUE') ?>
			</th>
			
			<!-- <th>
				<?php echo JText::_('INVOICING_COUPON_HITSLIMIT') ?>
			</th>
			<th>
				<?php echo JText::_('INVOICING_COUPON_HITS') ?>
			</th>
			<th>
				<?php echo JText::_('INVOICING_COUPON_USERHITSLIMIT') ?>
			</th>-->
			<th width="8%">
				<?php echo JHTML::_('grid.sort', 'JPUBLISHED', 'enabled', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="20">
				<?php if($this->pagination->total > 0) echo $this->pagination->getListFooter() ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
		<?php if($count = count($this->items)): ?>
		<?php $i = -1; $m = 0; ?>
		<?php foreach ($this->items as $coupon) : ?>
		<?php
			$i++; $m = 1-$m;
			//$checkedOut = ($coupon->locked_by != 0);
			$checkedOut = false;
			$ordering = $this->lists->order == 'ordering';
			$coupon->published = $coupon->enabled;
		?>
		<tr class="<?php echo  'row'.$m; ?>">
			<td align="center">
				<?php echo $coupon->invoicing_coupon_id; ?>
			</td>
			<td align="center">
				<?php echo JHTML::_('grid.id', $i, $coupon->invoicing_coupon_id, $checkedOut); ?>
			</td>
			<td align="center">
				<a href="index.php?option=com_invoicing&view=coupon&id=<?php echo $coupon->invoicing_coupon_id; ?>">
					<strong><?php echo  $this->escape($coupon->title) ?></strong>
				</a>
			</td>
			<td align="center">
					<strong><?php echo  $this->escape($coupon->code) ?></strong>
			</td>
			<td align="center">
				<?php echo  $this->escape($coupon->valuetype) ?>
			</td>
			<td align="center">
				<?php echo  $this->escape($coupon->value) ?>
			</td>
			<!-- <td align="center">
				<?php echo  $this->escape($coupon->hitslimit) ?>
			</td>
			<td align="center">
				<?php echo  $this->escape($coupon->hits) ?>
			</td>
			<td align="center">
				<?php echo  $this->escape($coupon->userhitslimit) ?> 
			</td>-->
			<td align="center">
				<?php echo JHTML::_('grid.published', $coupon, $i); ?>
			</td>	
   </td>
		</tr>
		<?php endforeach; ?>	
		<?php else: ?>
		<tr>
			<td colspan="20">
				<?php echo  JText::_('COM_INVOICING_COMMON_NORECORDS') ?>
			</td>
		</tr>
		<?php endif; ?>
	</tbody>
</table>

</form>
	
</div>
</div>