<?php
/**
 *  @package Vitrualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHtml::_('behavior.tooltip');
if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
} else {
	JHTML::_('behavior.mootools');
}
JHtml::_('behavior.modal');

FOFTemplateUtils::addJS('media://com_virtualmoney/js/jquery.validate.js');

$this->loadHelper('cparams');
$this->loadHelper('select');
$this->loadHelper('params');
$this->loadHelper('format');
$this->loadHelper('currency');
?>

<form action="index.php" method="post" name="adminForm" id="adminForm" class="adminForm form formValidation">
<input type="hidden" name="option" value="com_virtualmoney" />
<input type="hidden" name="view" value="pack" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="virtualmoney_pack_id" value="<?php echo $this->item->virtualmoney_pack_id ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
<?php if(VirtualmoneyHelperCparams::getParam('payment_module_enabled',1) == 0){ ?>
<div class="alert">
    <strong><?php echo JText::_('COM_VIRTUALMONEY_WARNING'); ?></strong> <?php echo JText::_('COM_VIRTUALMONEY_MODULE_PAYMENT_NEEDED'); ?>
</div>
<?php } ?>
<table cellspacing="0" cellpadding="0" width="100%">
<tr valign="top"><td width="60%">
	<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist ">
			<tr>
				<td><?php echo JText::_('COM_VIRTUALMONEY_PACK_TITLE'); ?></td>
				<td><input class="required" type="text" size="50" maxsize="255" name="title" value="<?php echo JText::_($this->escape($this->item->title)) ?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('COM_VIRTUALMONEY_PACK_PRICE'); ?></td>
				<td><input class="required" type="text" size="50" maxsize="255" name="price" value="<?php echo $this->escape($this->item->price); ?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural; ?></td>
				<td><input class="required" type="text" size="50" maxsize="255" name="credits" value="<?php echo $this->escape($this->item->credits); ?>" /></td>
				<td>&nbsp;</td>
			</tr>
            <tr>
				<td><?php echo JText::_('COM_VIRTUALMONEY_PACK_CURRENCY'); ?></td>
                <td><?php echo VirtualmoneyHelperCurrency::invoiceCurrency('currency_id', $this->item->currency_id);?></td>
				<td>&nbsp;</td>
			</tr>
            <tr>
				<td><?php echo JText::_('COM_VIRTUALMONEY_PACK_ORDERING'); ?></td>
				<td><input class="required" type="text" size="50" maxsize="255" name="ordering" value="<?php echo $this->escape($this->item->ordering); ?>" /></td>
				<td>&nbsp;</td>
			</tr>
            <tr>
				<td><?php echo JText::_('COM_VIRTUALMONEY_PACK_PUBLISHED'); ?></td>
				<td><?php echo JHTML::_('select.booleanlist', 'enabled', null, $this->item->enabled); ?></td>
				<td>&nbsp;</td>
			</tr>
	</table>
	</td></tr>
	</table>
</form>
	
<script type="text/javascript">
window.addEvent("domready", function() {
	$$("button.modal").each(function(el) {
		el.addEvent("click", function(e) {
			try {
				new Event(e).stop();
			} catch(anotherMTUpgradeIssue) {
				try {
					e.stop();
				} catch(WhateverIsWrongWithYouIDontCare) {
					try {
						DOMEvent(e).stop();
					} catch(NoBleepinWay) {
						alert('If you see this message, your copy of Joomla! is FUBAR');
					}
				}
			}
			SqueezeBox.fromElement($('userselect'), {
				parse: 'rel'
			});
		});
	});
});
<?php if(version_compare(JVERSION,'1.6.0','>=')){ ?>
Joomla.submitbutton = function(pressbutton) {
<?php } else { ?>
function submitbutton(pressbutton) {
<?php } ?>
	if (pressbutton == 'cancel') {
		   submitform(pressbutton);	
		   return;
	}
    	submitform(pressbutton);	
}

</script>