<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

$this->loadHelper('cparams');
$this->loadHelper('format');
?>
<h1><?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_EXCHANGE_CREDITS_FRONT'),VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural)); ?></h1>
<?php if (@$this->status == "error") {?>
<strong><?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_EXCHANGES_ERROR'),"")) ?></strong>
<br/><br/>
<?php } ?>
<p><?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_EXCHANGE_DESCRIPTION_FRONT'),VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural)); ?></p>
<form action="index.php" method="post" name="adminForm" id="adminForm">
    <?php echo JHTML::_( 'form.token' ); ?>
    <input type="hidden" name="max_credits" value="<?php echo $this->credits ?>" />
    <p><?php echo JText::_('COM_VIRTUALMONEY_EXCHANGE_SELECT_USER'); ?></p>
    <select name="user_id2">
        <option value="0">---</option>
        <?php foreach($this->listUsers as $user): ?>
            <?php if($user->id != $this->userId): ?>
            <option value="<?php echo $user->id ?>"><?php echo htmlspecialchars($user->username) ?></option>
            <?php endif; ?>
        <?php endforeach; ?>
    </select>
    <p><?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_EXCHANGE_CHOOSE_AMOUNT'),VirtualmoneyHelperFormat::formatPrice($this->credits))); ?></p>
    <input type="text" name="credits" value="" /><br/>
    <input type="hidden" name="user_id1" value="<?php echo $this->userId ?>" />
    <input type="hidden" name="option" value="com_virtualmoney" />
    <input id="task" type="hidden" name="task" value="save" />
    <input type="hidden" name="view" value="exchange" />
    <input type="submit" class="button btn" value="<?php echo JText::_('COM_VIRTUALMONEY_EXCHANGE_VALID'); ?>" />
</form>