<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2011 JoomPROD.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

/**
 * @package		Joomla
 * @subpackage	Contacts
 */
class InvoicingViewInvoice extends FOFViewHtml
{
	public function onRead($tpl = NULL) {
		parent::onRead($tpl);
		if ($this->getLayout() == "payment") {
			// Get the list of payment plugins
			$processors = FOFModel::getTmpInstance('Payment','InvoicingModel')->getPaymentPlugins();
			$this->assign('processors',$processors);
			$app = JFactory::getApplication();
			$key = $app->getUserStateFromRequest("com_invoicing.invoice.key",'key',	0,'string');
			$this->assign('key',$key);
		}
		$invoice  = $this->getModel()->getItem();
		$this->loadHelper('format');

		
		if ($invoice->invoice_number != null)
			$content = InvoicingHelperFormat::formatInvoiceHTML($invoice);
		else
			$content = InvoicingHelperFormat::formatOrderHTML($invoice);
		
		$this->assign('content',$content);
	}	
	
}