<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2011 JoomPROD.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();

class InvoicingViewPayment extends FOFViewHtml
{
	protected function onAdd($tpl = null)
	{
		$id = $this->getModel()->getState('id',0,'int');
		$paymentmethod = $this->getModel()->getState('method','','cmd');
		
		$invoice = FOFModel::getTmpInstance('Invoices','InvoicingModel')->setId($id)->getItem();
		
		if (($invoice->status == 'PAID')||($invoice->status=='CANCELLED')) {
			JError::raiseError('403',JText::_('ACCESS DENIED'));
		} else {
			$form = $this->getModel()->getPaymentForm($paymentmethod,$invoice);
			$this->assign('form',$form);	
			//TODO Better location will be in controller
            //TODO InvoicingHelperMail::sendMailByStatus($invoice);
		}	
	}
}
