<?php
/**
 * @package		PaidSystem
 * @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

class PaidSystemInvoicesTab extends cbTabHandler {

	function getInvoicesSessionsTab() {
		$cbTabHandler();
	}
			
  function getDisplayTab($tab,$user,$ui) {
	$app = JFactory::getApplication();
	
	$juser = JFactory::getUser();
	
	if ($user->id != $juser->id)   {
		return;
	}
	
  	require_once(JPATH_ROOT.'/administrator/components/com_paidsystem/models/order.php');
  	require_once(JPATH_ROOT.'/administrator/components/com_paidsystem/models/configuration.php');
		
	require_once(JPATH_ROOT.'/components/com_paidsystem/views/invoices/view.html.php');
	
	if ( file_exists( JPATH_ROOT. "/components/com_paidsystem/api.paidsystem.php")) 
	{
		require_once(JPATH_ROOT . "/components/com_paidsystem/api.paidsystem.php");
	}

	$uri = JFactory::getURI();
	$baseurl = JURI::base();
	$document = JFactory::getDocument();
	$document->addStyleSheet($baseurl.'/components/com_adsmanager/css/adsmanager.css');
		
  	$configurationmodel = new PaidsystemModelConfiguration();
  	$paidconfig = $configurationmodel->getConfiguration();
	
	
	$ordermodel	 = new PaidsystemModelOrder();
	$invoices = $ordermodel->getInvoices($user->id);
	
	$config = array();
 	 $templateDir = JPATH_ROOT . '/templates/' . $app->getTemplate();
    if (is_file($templateDir.'/html/com_paidsystem/invoices/default.php')) {
    	$config['template_path'] = JPATH_BASE.'/templates/' . $app->getTemplate().'/html/com_paidsystem/invoices';
    } else {
    	$config['template_path'] = JPATH_BASE.'/components/com_paidsystem/views/invoices/tmpl';
    }
	$view      				 = new PaidsystemViewInvoices($config);
	
	$view->assignRef('orders',$invoices);
	$view->assignRef('config',$paidconfig);	

	$return = $view->loadTemplate(null);
	
	$path = JPATH_ADMINISTRATOR.'/../libraries/joomla/database/table';
	JTable::addIncludePath($path);
	
	return $return;
  }
}
