<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// Check to ensure this file is within the rest of the framework

defined('JPATH_BASE') or die();

$baseurl = JURI::base();

$uniqid = uniqid();

if(!empty($contents)){

if(JRequest::getvar('view',0) == 'list' || JRequest::getvar('view',0) == 'result'){
?>
<script type="text/javascript"
	src="http://maps.googleapis.com/maps/api/js?key=<?php echo $googleKey; ?>&sensor=false">
</script>
<script type="text/javascript"
	src="<?php echo $baseurl; ?>/modules/mod_adsmanager_adsmap/js/markerclusterer.js">
</script>
<script type="text/javascript"> 
	var adsmap;
	var center = new google.maps.LatLngBounds();
    var markerClusterer;
    var infowindow = new google.maps.InfoWindow();
    function loadMarkers(markers) {
          if (markerClusterer) {
            markerClusterer.clearMarkers();
          }

            // display the markers
            markersCluster = [];

            for(i=0; i<markers.length; i++){
                mark = new google.maps.LatLng(markers[i].lat,markers[i].lon);
                center.extend(mark);
                var marker = new google.maps.Marker({
                    'title': markers[i].title,
                    'map': adsmap,
                    'position': mark
                });              

                content = "<div class='gmappopup'>"+
                          "<div class='mainpopup'>";
                <?php if($params->get('map_display_image', '1')){ ?>  
                    content += "<div class='imagediv'><a href='"+markers[i].link+"'><img src='"+markers[i].image+"' /></a></div>";
                <?php } ?>
                <?php 
                    if($params->get('map_display_title', '1')){
                        if($params->get('map_enable_link_title', '1')){
                ?>
                    content += "<h3><a href='"+markers[i].link+"'>"+markers[i].title+"</a></h3>";
                <?php   }else{ ?>
                    content += "<h3>"+markers[i].title+"</h3>";
                <?php  
                        }
                    }
                ?>
                <?php if($params->get('map_display_description', '1')){ ?>
                    content += "<p class='description'>"+markers[i].description+"</p>";
                <?php } ?>
                content += "</div><div style='clear:both'></div>";
                
                content += "<div class='price'>";
                <?php if($params->get('map_display_price', '1')){ ?>
                    content += "<strong>"+markers[i].price+"</strong>";
                <?php } ?>
                <?php if($params->get('map_link_ads', '1')){ ?>  
                content += "<a class='btn' style='float:right;' href='"+markers[i].link+"'>"+
                           "<?php echo JText::_('ADSMANAGER_LINK_ADS_TEXT'); ?>"+
                           "</a>";
                <?php } ?>   
                
                content += "</div></div>";

                marker.html = content;               

                google.maps.event.addListener(marker, 'click', function() {
                    infowindow.setContent(this.html);
                    infowindow.open(adsmap,this);
                });
               
                markersCluster[i] = marker;
            }

            //set style options for marker clusters (these are the default styles)
            mcOptions = {styles: [{
            height: 52,
			url: "http://google-maps-utility-library-v3.googlecode.com/svn/trunk/markerclusterer/images/m1.png",
            width: 53,
            textColor: '#92f044',
            textSize: 13
            },
            {
            height: 52,
			url: "http://google-maps-utility-library-v3.googlecode.com/svn/trunk/markerclusterer/images/m2.png",
            width: 53,
            textColor: '#92f044',
            textSize: 13
            },
            {
            height: 66,
            url: "http://google-maps-utility-library-v3.googlecode.com/svn/trunk/markerclusterer/images/m3.png",
            width: 66
            },
            {
            height: 78,
            url: "http://google-maps-utility-library-v3.googlecode.com/svn/trunk/markerclusterer/images/m4.png",
            width: 78
            },
            {
            height: 90,
            url: "http://google-maps-utility-library-v3.googlecode.com/svn/trunk/markerclusterer/images/m5.png",
            width: 90
            }]}

            markerClusterer = new MarkerClusterer(adsmap, markersCluster,mcOptions);    
    }

     function initializemap() {
        var defaultLAtLng = new google.maps.LatLng(<?php echo $params->get('map_default_lat', '48.85719913498834'); ?>,<?php echo $params->get('map_default_lng', '2.33935546875'); ?>);
            
        var myOptions = {
            zoom: <?php echo $params->get('map_default_zoom', '6'); ?>,
            center: defaultLAtLng,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };

        adsmap = new google.maps.Map(document.getElementById("map_canvaslist_<?php echo $uniqid; ?>"), myOptions);     
        
        <?php if(!empty($markers)){ ?>
            markers = <?php echo json_encode($markers);?>;
            loadMarkers(markers);
        <?php } ?>
    }
</script>
<div id="gmapads">
    <?php if($params->get('map_hide', '1')){ ?>
        <div class="gmapwraptitle">
            <img src="<?php echo $baseurl?>/modules/mod_adsmanager_adsmap/tmpl/map.png" />
            <input type="button" id='showmap_<?php echo $uniqid; ?>' class="btn" value='<?php echo JText::_('ADSMANAGER_SHOW_GMAP'); ?>'></input>
            <input type="button" id='hidemap_<?php echo $uniqid; ?>' class="btn" value='<?php echo JText::_('ADSMANAGER_HIDE_GMAP'); ?>'></input>
        </div>
    <?php } ?>
    <div class="gmap" id="map_canvaslist_<?php echo $uniqid; ?>" style="height: <?php echo $params->get('map_height', '400') ?>px;"></div>
</div>
<script language="javascript"> 
firstinit =1;
function activeMap() {
    
     <?php if(!empty($markers)){ ?>
     if (firstinit == 1) {
        firstinit = 0;
        // Zoom for displaying all markers on screen
        // This is needed to set the zoom after fitbounds, 
        google.maps.event.addListener(adsmap, 'zoom_changed', function() {
            zoomChangeBoundsListener = 
                google.maps.event.addListener(adsmap, 'bounds_changed', function(event) {
                    if (this.getZoom() > 13 && this.initialZoom == true) {
                        // Change max/min zoom here
                        this.setZoom(13);
                        this.initialZoom = false;
                    }
                    google.maps.event.removeListener(zoomChangeBoundsListener);
                });
        });
        adsmap.initialZoom = true;
        adsmap.fitBounds(center);
    }
     <?php } ?>
    jQ.cookie("showMapResult",1);
    google.maps.event.trigger(adsmap, 'resize');
}

jQ(document).ready(function(){
    initializemap();
    <?php if($params->get('map_hide', '1')){ ?>
        showMapResult = jQ.cookie("showMapResult");
        if (showMapResult == 1) {
            jQ('#showmap_<?php echo $uniqid; ?>').hide();
            jQ('#map_canvaslist_<?php echo $uniqid; ?>').show();
            activeMap();        
        } else {
            jQ('#hidemap_<?php echo $uniqid; ?>').hide();
            jQ('#map_canvaslist_<?php echo $uniqid; ?>').hide();
        }

        jQ('#showmap_<?php echo $uniqid; ?>').click(function(event) {        
             jQ('#showmap_<?php echo $uniqid; ?>').hide();
             jQ('#hidemap_<?php echo $uniqid; ?>').show();
             jQ('#map_canvaslist_<?php echo $uniqid; ?>').toggle(300,function() {
                    activeMap();
            });
             jQ('.gmapwraptitle').removeClass('titlehide'); 
        });
        jQ('#hidemap_<?php echo $uniqid; ?>').click(function(event) {        
             jQ('#hidemap_<?php echo $uniqid; ?>').hide();
             jQ('#showmap_<?php echo $uniqid; ?>').show();
             jQ('#map_canvaslist_<?php echo $uniqid; ?>').toggle(300,function() {});
             jQ.cookie("showMapResult",0);
             jQ('.gmapwraptitle').addClass('titlehide');
        });
    <?php }else{ ?>
        activeMap();
    <?php } ?>
});
</script>
<?php
}
}
?>