<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

/**
 * JComments Content Plugin
 *
 * @package		Joomla.Plugin
 * @subpackage	Content.Captcha
 * @since		1.5
 */
class plgAdsmanagercontentJomsocial extends JPlugin
{	
	public function ADSonContentAfterSave($content,$isUpdateMode,$conf) {
        //If the ad is an update, we don't display an activity on jomsocial.
        if($isUpdateMode == 1) return;
        
        //If the ad isn't published, we don't display an activity on jomsocial.
        if($content->published == 0) return;
        
        //if the ad is in pending state, we don't display an activity on jomsocial.
        //because the add isn't published yet.
		if (!isset($content->isPending) || ($content->isPending == 0)) {
		
			$lang = JFactory::getLanguage();
			$lang->load("plg_adsmanagercontent_jomsocial",JPATH_ADMINISTRATOR);
		
			$uri	= JURI::getInstance();
			$root	= $uri->toString( array('scheme', 'host', 'port'));
			$link = $root . TRoute::_('index.php?option=com_adsmanager&view=details&catid='.$content->catid.'&id='.$content->id,false);
            
			$c = "<div>";
            
			foreach($content->images as $img)
			{
                $image = JURI::root().'images/com_adsmanager/ads/'.$img->image;
                $thumbnail = JURI::root().'images/com_adsmanager/ads/'.$img->thumbnail;
				$c .=  "<a style='margin:2px' href='' onclick='cWindowShow(function() {c= document.getElementById(\"cWindowContent\");c.innerHTML=\"<img style=\\\"max-width:610px;max-height:460px\\\" src=\\\"".$image."\\\"/>\";}, \"Image\", 640, 480);return false;' class='modal' target='_blank'><img src='".$thumbnail."' alt='".htmlspecialchars($content->ad_headline)."' /></a>";
			}
			$c .= "</div>";
			$c .= "<div>".JString::substr($content->ad_text, 0, 100)."[...]"."</div>";
			$c .= "<div style='margin-top:5px'>";
			$c .= '<a href="javascript:void(0);" onclick="joms.messaging.loadComposeWindow(\''.$content->userid.'\')" class="jsIcon1 icon-write profile-action"><span>Send message</span></a>';
			$c .= '&nbsp;<a onclick="joms.bookmarks.show(\''.rawurlencode($link).'\');" href="javascript:void(0);" class="icon-bookmark"><span>Share this</span></a>';
			$c .= "</div>";
			
			require_once(JPATH_ROOT."/components/com_adsmanager/helpers/field.php");
			require_once(JPATH_ROOT.'/administrator/components/com_adsmanager/models/content.php');
			require_once(JPATH_ROOT.'/administrator/components/com_adsmanager/models/field.php');
				
		  	$contentmodel	 = new AdsmanagerModelContent();
			$fieldmodel	     = new AdsmanagerModelField();
			$usermodel		 = new AdsmanagerModelUser();
			
			$fields = $fieldmodel->getFields();
			$field_values = $fieldmodel->getFieldValues();
			$plugins = $fieldmodel->getPlugins();
			$field = new JHTMLAdsmanagerField($conf,$field_values,$mode,$plugins,null);
			$cc = $contentmodel->getContent($content->id);
			
			//$county = str_replace(array("<br/>","<br />","<br>"),"",$field->showFieldValue($cc,$fields['ad_County']));
			//$state = str_replace(array("<br/>","<br />","<br>"),"",$field->showFieldValue($cc,$fields['ad_StateAbreviation']));
									
			require_once( JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'libraries'.DS.'core.php');
            $activity = new stdClass();		
			$activity->cmd = 'adsmanager.write';         
			$activity->actor = $content->userid;
			$activity->target = 0; 			
			
			//“ad_headline” in ad_city  ad_StateAbreviation
			//$activity->title = JText::_('{actor} just posted some JUNK! <a href="'.$link.'">'.$content->ad_headline.'</a> in '.$county.' '.$state);		
			$activity->title = sprintf(JText::_('PLG_ADSMANAGERCONTENT_JOMSOCIAL_POST_NEW_AD'),$link,$content->ad_headline);		
			$activity->content = $c;        
			$activity->app = 'adsmanager';        
			$activity->cid = $content->id;      
			
			$command = 'adsmanager.post';
			CFactory::load('libraries', 'activities');
			$activity->comment_type  = $command;
			$activity->comment_id    = CActivities::COMMENT_SELF;
 
			$activity->like_type     = $command;
			$activity->like_id     = CActivities::LIKE_SELF;
	      
			CActivityStream::add($activity);
            
		}
	}
	
	public function ADSonContentAfterDelete($content,$conf) {
		require_once( JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'libraries'.DS.'core.php');
		CFactory::load('libraries', 'activities');
		CActivityStream::remove('adsmanager',$content->id);
		//echo $content->id;
		//exit();
	}
}