<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2011 JoomPROD.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
/*
 netPayment_start.php
Copyright 2011 ewire

This file is a part of the ewire net payment examples

Getting started:
* Open ewirePayment.class.php and edit theese values
Change the value assigned to $this->companyId in the constructor
Change the value assigned to $this->encryptionkey in the constructor
Change the $acceptURL variable so it points at your server to your accept file
Change the $declineURL variable so it points at your server to your decline file

* Open this file in a browser
*/

// Include ewire class
include_once("ewirePayment.class.php");

// Create instance of ewire class
$EWIRE = new ewirePayment();

$EWIRE->companyId = $this->config->companyId;
$EWIRE->encryptionkey = $this->config->privateKey;

// Sets values for form
$subject 				= $description;			// Subject on the payment. Visible for the customer. Do not use "���" letters here.
$lang 					= $this->config->language;   			// Language on ewire page. DA - Danish en-gb - English.
$customerOrderId 		= $this->order->invoicing_invoice_id;						// Your unique order ID.
$amount 				= $this->order->net_amount * 100;		// Transaction amount in danish "�re". Ex. DKK 20,00 is written as "2000".
$buyerEmail             = $user->email;                                    // The users e-mail-address
$lockBuyerEmail         = "0"  ;                                 // Set to 1 if the users e-mail-adress should be locked through the payment process.
$testmode               = "0";                                   // Set to 1 to use test mode.
$currency 				= $this->currency_code;					// Transaction currency.
$itemURL 				= "";									// Link to your product. Visible for the customer.
$expireDays 			= "7";									// Days from now, until transaction expire.
$autocapture            = "0";									// Set to 1 to complete the transaction.
$annonymousPayerAllowed = "0";									// No affect on payment. Not in use anymore.
$acceptURL 				= $this->baseurl."index.php?option=com_invoicing&view=message&layout=complete";		// Page to send user to, when payment is successful
$declineURL 			= $this->baseurl."index.php?option=com_invoicing&view=message&layout=cancel";		// Page to send user to, when payment is unsuccessful
$callbackAcceptURL 		= $this->baseurl."index.php?option=com_invoicing&view=payment&task=process&method=ewire&customerOrderId=".$customerOrderId;		// URL to call server side, when payment is successful

// Calculates MD5 value of all values
$validateMD = md5($EWIRE->encryptionkey . $EWIRE->companyId . $subject . $buyerEmail . $lockBuyerEmail . $customerOrderId . $amount . $currency . $expireDays . $annonymousPayerAllowed . $acceptURL . $declineURL . $callbackAcceptURL . $autocapture);

?>
<form id="paymentForm" action="<? echo $EWIRE->ewirePaymentBaseURL ?>" method="post">
<input type="hidden" name="companyId" value="<? echo $EWIRE->companyId ?>" />
<input type="hidden" name="lang" value="<? echo $lang ?>" />
<input type="hidden" name="buyerEmail" value="<? echo $buyerEmail ?>" />
<input type="hidden" name="lockBuyerEmail" value="<? echo $lockBuyerEmail ?>" />
<input type="hidden" name="subject" value="<? echo $subject ?>" />
<input type="hidden" name="customerOrderId" value="<? echo $customerOrderId ?>" />
<input type="hidden" name="amount" value="<? echo $amount ?>" />
<input type="hidden" name="currency" value="<? echo $currency ?>" />
<input type="hidden" name="itemURL" value="<? echo $itemURL ?>" />
<input type="hidden" name="autoCapture" value="<?php echo $autocapture ?>" />
<input type="hidden" name="expireDays" value="<? echo $expireDays ?>" />
<input type="hidden" name="annonymousPayerAllowed" value="<? echo $annonymousPayerAllowed ?>" />
<input type="hidden" name="acceptURL" value="<? echo $acceptURL ?>" />
<input type="hidden" name="declineURL" value="<? echo $declineURL ?>" />
<input type="hidden" name="callbackAcceptURL" value="<? echo $callbackAcceptURL ?>" />
<input type="hidden" name="validateMD" value="<? echo $validateMD ?>" />
</form>