<?php
/**
 * @package		PaidSystem
 * @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_paidsystem'.DS.'tables');
jimport('joomla.application.component.controller');

/**
 * Content Component Controller
 *
 * @package		Joomla
 * @subpackage	Content
 * @since 1.5
 */
class PaidsystemControllerCategories extends TController
{
	var $_view = null;
	var $_model = null;
	
	function init()
	{
		// Set the default view name from the Request
		$this->_view = $this->getView("admin",'html');

		// Push a model into the view
		$this->_model = $this->getModel("category");
		if (!JError::isError( $this->_model )) {
			$this->_view->setModel( $this->_model, true );
		}
	}
	
	function display($cachable = false, $urlparams = false)
	{
		$this->init();
		$this->_view->setLayout("categories");
		$this->_view->display();
	}
	
	function save()
	{
		$app = JFactory::getApplication();

		$tid 		     = JRequest::getVar('tid', array(0) );
		$total			 = count( $tid );
		$specific 		 = JRequest::getVar('specific', array(0) );
		$price 			 = JRequest::getVar('price', array(0) );
		$num_images	     = JRequest::getVar('num_images', array(0) );
		$image_price     = JRequest::getVar('image_price', array(0) );
		
		$model = $this->getModel("category");
		$model->updateCategories($tid,$total,$specific,$price,$num_images,$image_price);	
	
		$app->redirect( 'index.php?option=com_paidsystem&c=categories', JText::_('ADSMANAGER_CATEGORY_SAVED'),"message" );
	}
}