<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_paidsystem'.DS.'tables');
jimport('joomla.application.component.controller');

/**
 * Content Component Controller
 *
 * @package		Joomla
 * @subpackage	Content
 * @since 1.5
 */
class PaidsystemControllerFields extends TController
{
	var $_view = null;
	var $_model = null;
	
	function init()
	{
		// Set the default view name from the Request
		$this->_view = $this->getView("admin",'html');

		// Push a model into the view
		$this->_model = $this->getModel("field");
		if (!JError::isError( $this->_model )) {
			$this->_view->setModel( $this->_model, true );
		}
	}
	
	function display($cachable = false, $urlparams = false)
	{
		$this->init();
		$this->_view->setLayout("fields");
		$this->_view->display();
	}
	
	function save()
	{
		$app = JFactory::getApplication();
		
		$tid 		     = JRequest::getVar('tid', array(0) );
		$total			 = count( $tid );
		$price 			 = JRequest::getVar('price', array(0) );
	
		$model = $this->getModel("field");
		$model->updateFields($tid,$total,$price);
	
		$app->redirect( 'index.php?option=com_paidsystem&c=fields', JText::_('PAIDSYSTEM_FIELD_SAVED'),"message" );
	}
}