<?php
/**
 * @package		VirtualMoney
 * @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 * @license		GNU/GPL
 */

defined('_JEXEC') or die();

class JElementVirtualmoneyTax extends JElement
{
   var   $_name = 'VirtualmoneyTax';

   function fetchElement($name, $value, &$node, $control_name)
   {
        $db = JFactory::getDbo();
        
        $sql = $db->setQuery("SELECT * FROM #__invoicing_taxes");
        
        try{
           $list = $db->loadObjectList();
        }catch(Exception $e){
           $list = array();
        }
	
		$options   = array();
	
		$options[] = JHTML::_('select.option','0',JText::_('INVOICING_NO_TAX'));
	
		foreach($list as $item) {
			$options[] = JHTML::_('select.option',$item->taxrate,$item->taxrate);
		}

        return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="inputbox"', 'value', 'text', $value, $control_name.$name );   
   }
}