<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.model');
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_paidsystem'.DS.'tables');

/**
 * @package		Joomla
 * @subpackage	Contact
 */
class PaidsystemModelField extends TModel
{    
	function getFields($limitstart,$limit) {

		$query = "SELECT f.*,p.price FROM #__adsmanager_fields AS f  ".
	             "LEFT JOIN #__paidsystem_fields as p ON p.id = f.fieldid ".
				 "WHERE 1 ORDER by f.ordering";
		
    	$this->_db->setQuery($query,$limitstart,$limit);
		$fields = $this->_db->loadObjectList();
		return $fields;
    }
    
	function getNbFields()
	{
		$query =  " SELECT count(*) FROM #__adsmanager_fields as f ".
				  " WHERE 1";
		$this->_db->setQuery($query);				 
		$nb = $this->_db->loadResult();
		return $nb;
	}
	
	function updateFields($tid,$total,$price)
	{
		// update ordering values
		for( $i=0; $i < $total; $i++ ) {
			$id = $tid[$i];
			$_price = $price[$i];
			if (!isset($_price))
				$_price = 0;
			$this->_db->setQuery("DELETE FROM #__paidsystem_fields WHERE id = ".(int)$id);
			$this->_db->query();
			$query ="INSERT INTO #__paidsystem_fields (`id`,`price`)".
					" VALUES ('$id','$_price')";
					
			$this->_db->setQuery($query);
			$this->_db->query();
		} // for
	}
}