<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

if (version_compare(JVERSION,'1.6','>=')) {
    //ACL
    if (!JFactory::getUser()->authorise('core.manage', 'com_paidsystem')) {
        return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
    }
}

require_once(JPATH_ROOT.'/components/com_adsmanager/lib/core.php');

if(!file_exists(JPATH_ROOT.'/components/com_invoicing/lib/core.php')){
    echo "You need to install the Invoicing component in order to use PaidSystem.";
    exit();
}

// Make sure the user is authorized to view this page
$user = JFactory::getUser();
/*if (!$user->authorize( 'com_paidsystem', 'manage' )) {
  	$app = JFactory::getApplication();
	$app->redirect('index.php', JText::_('ALERTNOTAUTH'),"message");
}*/

// Component Helper
jimport('joomla.application.component.helper');

$controllerName = JRequest::getCmd( 'c', 'configuration' );

require_once( JPATH_COMPONENT.DS.'controllers'.DS.$controllerName.'.php' );
$controllerName = 'PaidsystemController'.$controllerName;

// Create the controller
$controller = new $controllerName();

if(version_compare(JVERSION,'1.6.0','>=')){
	JHtml::_('behavior.framework');
}	

JSubMenuHelper::addEntry(JText::_('COM_PAIDSYSTEM_CONFIGURATION'), 'index.php?option=com_paidsystem&amp;c=configuration');
JSubMenuHelper::addEntry(JText::_('COM_PAIDSYSTEM_CATEGORIES'), 'index.php?option=com_paidsystem&amp;c=categories');
JSubMenuHelper::addEntry(JText::_('COM_PAIDSYSTEM_FIELDS'), 'index.php?option=com_paidsystem&amp;c=fields');
JSubMenuHelper::addEntry(JText::_('COM_PAIDSYSTEM_DURATIONS'), 'index.php?option=com_paidsystem&amp;c=durations');
JSubMenuHelper::addEntry(JText::_('COM_PAIDSYSTEM_TOPS'), 'index.php?option=com_paidsystem&amp;c=tops');
JSubMenuHelper::addEntry(JText::_('COM_PAIDSYSTEM_HIGHLIGHTS'), 'index.php?option=com_paidsystem&amp;c=highlights');
JSubMenuHelper::addEntry(JText::_('COM_PAIDSYSTEM_FEATUREDS'), 'index.php?option=com_paidsystem&amp;c=featureds');
		
// Perform the Request task
$controller->execute(JRequest::getCmd('task', null));
$controller->redirect();
