<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
defined('_JEXEC') or die();

class PaidsystemTablePaidconfiguration extends JTable
{
	var $id = null;
	/** @var string */
	var $paypal_email = null;
	/** @var string */
	var $sandbox_email = null;
	/** @var int */
	var $sandbox = null;
	var $currency_id = null;
	var $credits = null;
	var $highlight_active = null;
	var $featured_active = null;
	var $top_active = null;
	var $top_type = null;
	
	var $num_images = null;
	var $image_price = null;
	var $nbcats = null;
	var $cat_price = null;
	var $tax = null;
	var $type = null;
	var $mode = null;
	
	var $invoice_number;
	var $invoice_number_format;
	
	var $params = null;
			
    function __construct(&$db)
    {
    	parent::__construct( '#__paidsystem_config', 'id', $db );
    }
    
    function bind($data) {
    	parent::bind($data);
    	 
    	// All post values starting with params_ should be saved in json format in params
    	$tmp_params = array();
    	foreach($data as $key => $d) {
    		if (strpos($key,"params_") === 0) {
    			$k = substr($key,7);
    			$tmp_params[$k] = $d;
    		}
    	}
    	$this->params = json_encode($tmp_params);
    	return true;
    }
}