<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

include_once(JPATH_ROOT."/components/com_adsmanager/helpers/usergroups.php");
?>
<?php
echo JHTML::_('behavior.tooltip');
?>
<script type="text/javascript">
<?php if(version_compare(JVERSION,'1.6.0','>=')){ ?>
Joomla.submitbutton = function(pressbutton) {
<?php } else { ?>
function submitbutton(pressbutton) {
<?php } ?>
		<?php 
		$editor	= JFactory::getEditor(); 
		echo $editor->save( 'params_mail_expiration_body' );
		?>
       submitform(pressbutton);
   }
</script>
	<div id="overDiv" style="position:absolute; visibility:hidden; z-index:10000;"></div>
	<table class="adminheading table table-striped">
		<tr>
			<th class="config"><?php echo JText::_('PAIDSYSTEM_ADMIN_CONFIG');?></th>
		</tr>
	</table>
	<form action="index.php" method="post" name="adminForm" id="adminForm">
    <?php
		$invoicingExist = file_exists(JPATH_ROOT.'/components/com_invoicing/lib/core.php');
		$virtualMoneyExist = file_exists(JPATH_ROOT.'/components/com_virtualmoney/lib/core.php');
		
		if($invoicingExist || $virtualMoneyExist){
	?>
	<div>
		<?php
			if($invoicingExist && !$virtualMoneyExist) {
				if(!$this->InvoicingChechDataTransfert())
					echo "<a href='index.php?option=com_paidsystem&task=export_invoicing'>".JText::_('PAIDSYSTEM_INVOICING_DATA_UPDATE')."</a>";
			} elseif(!$invoicingExist && $virtualMoneyExist) {
				if(!$this->VirtualMoneyChechDataTransfert())
					echo "<a href='index.php?option=com_paidsystem&task=export_virtualmoney'>".JText::_('PAIDSYSTEM_VIRTUALMONEY_DATA_UPDATE')."</a>";
			} else {
				if(!$this->InvoicingChechDataTransfert() && !$this->VirtualMoneyChechDataTransfert())
					echo "<a href='index.php?option=com_paidsystem&task=export_all'>".JText::_('PAIDSYSTEM_DATA_UPDATE')."</a>";
			}
		?>
	</div>
	<?php
		}
	?>
	<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform table table-striped">
		<tr>
			<td colspan='3'><strong><?php echo JText::_('PAIDSYSTEM_MODE'); ?></strong></td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_MODE'); ?></td>
			<td>
			<select id='mode' name='mode'>
				<option value='payperad' <?php if ($this->conf->mode == "payperad") { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_MODE_PAYPERAD'); ?></option>
				<option value='credits' <?php if ($this->conf->mode == "credits") { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_MODE_CREDITS'); ?></option>
			</select>
			</td>
			<td><?php echo JText::_('PAIDSYSTEM_MODE_LONG'); ?></td>
		</tr>
		<tr class="payperad">
			<?php 
			include_once(JPATH_ROOT.'/components/com_invoicing/lib/core.php'); 
			?>
			<td><?php echo JText::_('INVOICING_COMMON_CURRENCY'); ?></td>
			<td><?php echo InvoicingHelperSelect::currencies('currency_id',$this->conf->currency_id) ?></td>
			<td></td>
		</tr>
		<tr class="payperad">
			<td><?php echo JText::_('INVOICING_COMMON_TAX'); ?></td>
			<td><?php echo InvoicingHelperSelect::taxes("tax",$this->conf->tax) ?></td>
			<td></td>
		</tr>
		<tr>
			<td colspan='3'><?php echo JText::_('PAIDSYSTEM_CATEGORIES'); ?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_CATCREDITS'); ?></td>
			<td><input type="text" name="credits" value="<?php echo $this->conf->credits; ?>" /></td>
			<td><?php echo JText::_('PAIDSYSTEM_CATCREDITS_LONG'); ?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_NBCATS'); ?></td>
			<td><input type="text" name="nbcats" value="<?php echo $this->conf->nbcats; ?>" /></td>
			<td><?php echo JText::_('PAIDSYSTEM_NBCATS_LONG'); ?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_CAT_PRICE'); ?></td>
			<td><input type="text" name="cat_price" value="<?php echo $this->conf->cat_price; ?>" /></td>
			<td><?php echo JText::_('PAIDSYSTEM_CAT_PRICE_LONG'); ?></td>
		</tr>
		<tr>
			<td colspan='3'><br/><b><?php echo  JText::_('PAIDSYSTEM_OPTIONS'); ?></b></td>
		</tr>
		<tr>
			<td><?php echo  JText::_('PAIDSYSTEM_FEATURED_ACTIVE'); ?></td>
			<td><?php echo $this->conf->featured_active; ?></td>
			<td><?php echo  JText::_('PAIDSYSTEM_FEATURED_ACTIVE_LONG'); ?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_HIGHLIGHT_ACTIVE'); ?></td>
			<td><?php echo $this->conf->highlight_active; ?></td>
			<td><?php echo JText::_('PAIDSYSTEM_HIGHLIGHT_ACTIVE_LONG'); ?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_TOP_ACTIVE'); ?></td>
			<td><?php echo $this->conf->top_active; ?></td>
			<td><?php echo JText::_('PAIDSYSTEM_TOP_ACTIVE_LONG'); ?></td>
		</tr>
        <tr>
			<td><?php echo JText::_('PAIDSYSTEM_HIDE_TOTAL_PRICE'); ?></td>
			<td>
                <select name="params_hide_total_price" id="hide_total_price">
                    <option value='1' <?php if (@$this->conf->hide_total_price == 1) { echo "selected"; } ?>><?php echo JText::_('Yes'); ?></option>
                    <option value='0' <?php if (@$this->conf->hide_total_price == 0) { echo "selected"; } ?>><?php echo JText::_('No'); ?></option>
                </select>
            </td>
			<td>&nbsp;</td>
		</tr>
        <tr>
			<td><?php echo JText::_('PAIDSYSTEM_HIDE_OPTION_TEXT'); ?></td>
			<td>
                <select name="params_hide_option_text" id="hide_option_text">
                    <option value='1' <?php if (@$this->conf->hide_option_text == 1) { echo "selected"; } ?>><?php echo JText::_('Yes'); ?></option>
                    <option value='0' <?php if (@$this->conf->hide_option_text == 0) { echo "selected"; } ?>><?php echo JText::_('No'); ?></option>
                </select>
            </td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_TOP_TYPE'); ?></td>
			<td>
			<select id='top_type' name='top_type'>
				<option value='1' <?php if ($this->conf->top_type == 1) { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_TOP_TYPE_EVERYDAY'); ?></option>
				<option value='0' <?php if ($this->conf->top_type == 0) { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_TOP_TYPE_ALWAYS'); ?></option>
			</select>
			</td>
			<td><?php echo JText::_('PAIDSYSTEM_TOP_TYPE_LONG'); ?></td>
		</tr>
		
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_MAIL_ON_OPTION_EXPIRATION'); ?></td>
			<td>
			<select id='mail_on_option_expiration' name='params_mail_on_option_expiration'>
				<option value='1' <?php if (@$this->conf->mail_on_option_expiration == 1) { echo "selected"; } ?>><?php echo JText::_('Yes'); ?></option>
				<option value='0' <?php if (@$this->conf->mail_on_option_expiration == 0) { echo "selected"; } ?>><?php echo JText::_('No'); ?></option>
			</select>
			</td>
			<td></td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_MAIL_EXPIRATION_SUBJECT'); ?></td>
			<td>
			<input type="text" name="params_mail_expiration_subject" value=<?php echo @$this->conf->mail_expiration_subject; ?> />
			</td>
			<td></td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_MAIL_EXPIRATION_BODY'); ?></td>
			<td><?php echo $editor->display( 'params_mail_expiration_body',  @$this->conf->mail_expiration_body, '100%', '350', '75', '20' ); ?></td>
			<td></td>
		</tr>
        <tr>
            <td></td>
            <td><?php echo JText::_('PAIDSYSTEM_POSSIBLE_TAGS')?></td>
            <td>&nbsp;</td>
        </tr>
		<tr>
			<td colspan='3'><br/><b><?php echo JText::_('PAIDSYSTEM_IMAGES'); ?></b></td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_NUM_IMAGES'); ?></td>
			<td><input type="text" name="num_images" value=<?php echo $this->conf->num_images; ?> /></td>
			<td><?php echo JText::_('PAIDSYSTEM_NUM_IMAGES_LONG'); ?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_IMAGE_PRICE'); ?></td>
			<td><input type="text" name="image_price" value=<?php echo $this->conf->image_price; ?> /></td>
			<td><?php echo JText::_('PAIDSYSTEM_IMAGE_PRICE_LONG'); ?></td>
		</tr>
        <?php if(version_compare(JVERSION, '1.6', 'ge')) { ?>
        <tr>
			<td colspan='3'><br/><b><?php echo JText::_('PAIDSYSTEM_SPECIFIC_RIGHT'); ?></b></td>
		</tr>
        <tr>
			<td><?php echo JText::_('PAIDSYSTEM_CATEGORIES_NOLIMIT'); ?></td>
			<td>
                <select name="params_categories_nolimit" id="categories_nolimit">
                    <option value='1' <?php if (@$this->conf->categories_nolimit == 1) { echo "selected"; } ?>><?php echo JText::_('Yes'); ?></option>
                    <option value='0' <?php if (@$this->conf->categories_nolimit == 0) { echo "selected"; } ?>><?php echo JText::_('No'); ?></option>
                </select>
                <?php
                    if(!empty($this->conf->usergroups_nolimit) && @$this->conf->usergroups_nolimit){
                        $userGroups = implode(',',$this->conf->usergroups_nolimit);
                    } else {
                        $userGroups = '';
                    }
                    
                    echo JHTMLAdsmanagerUserGroups::getUserGroups('params_usergroups_nolimit[]', empty($this->conf->usergroups_nolimit) ? '-1' : explode(',', $userGroups), array('multiple' => 'multiple', 'size' => 10));
                ?>
            </td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td><?php echo JText::_('PAIDSYSTEM_CATEGORIES_FREEADS'); ?></td>
			<td>
                <select name="params_categories_freeads" id="categories_freeads">
                    <option value='1' <?php if (@$this->conf->categories_freeads == 1) { echo "selected"; } ?>><?php echo JText::_('Yes'); ?></option>
                    <option value='0' <?php if (@$this->conf->categories_freeads == 0) { echo "selected"; } ?>><?php echo JText::_('No'); ?></option>
                </select>
                <?php
                    if(!empty($this->conf->usergroups_freeads) && @$this->conf->usergroups_freeads){
                        $userGroups = implode(',',$this->conf->usergroups_freeads);
                    } else {
                        $userGroups = '';
                    }
                    
                    echo JHTMLAdsmanagerUserGroups::getUserGroups('params_usergroups_freeads[]', empty($this->conf->usergroups_freeads) ? '-1' : explode(',', $userGroups), array('multiple' => 'multiple', 'size' => 10));
                ?>
            </td>
			<td>&nbsp;</td>
		</tr>
        <?php } ?>
  </table>
  <input type="hidden" name="id" value="<?php echo $this->conf->id;?>" />
  <input type="hidden" name="option" value="com_paidsystem" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="c" value="configuration" />
</form>
<script type="text/javascript" src="../includes/js/overlib_mini.js"></script>
<script type="text/javascript">
function updateMode() {
	if(jQ('#mode').val() == 'credits') {
		jQ('.payperad').hide();
	} else {
		jQ('.payperad').show();
	}
}
jQ('#mode').change(function() {
	updateMode();
});
updateMode();
</script>