<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<form action="index.php" method="post" name="adminForm" id="adminForm" class="adminForm" enctype="multipart/form-data">
	<br/>
	<table cellspacing="0" cellpadding="0" width="100%">
	<tr valign="top"><td width="60%">
		<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
			<tr>
				<td><?php echo JText::_('PAIDSYSTEM_TH_NAME'); ?></td>
				<td><input type="text" size="50" maxsize="255" name="title" value="<?php echo htmlspecialchars($this->duration->title); ?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('PAIDSYSTEM_DURATION_TYPE'); ?></td>
				<td>
				<select name="type" id="type">
						<option value="both" <?php if ($this->duration->type == "both") { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_DURATION_TYPE_BOTH'); ?></option>
						<option value="renew" <?php if ($this->duration->type == "renew") { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_DURATION_TYPE_RENEW') ?></option>
						<option value="new" <?php if ($this->duration->type == "new") { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_DURATION_TYPE_NEW') ?></option>
					</select>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('PAIDSYSTEM_DURATION_LONG'); ?></td>
				<td>
					<input type="text" size="11" maxsize="11" id="duration" name="duration" value="<?php echo $this->duration->duration; ?>" />
					<input type="checkbox" id="unlimited" <?php if ($this->duration->duration == 0) echo 'checked="checked"';?> /><?php echo JText::_('PAIDSYSTEM_DURATION_UNLIMITED');?>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('PAIDSYSTEM_PRICE'); ?></td>
				<td><input type="text" size="11" maxsize="11" name="credits" value="<?php echo $this->duration->credits; ?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('PAIDSYSTEM_TH_PUBLISH'); ?></td>
				<td>
					<select name="published" id="published">
						<option value="1" <?php if ($this->duration->published == 1) { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_PUBLISHED'); ?></option>
						<option value="0" <?php if ($this->duration->published == 0) { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_NOT_PUBLISHED') ?></option>
					</select>
				</td>
				<td>&nbsp;</td>
			</tr>
		</table>
	</td><td width="40%">
	  <table class="adminform">
			<th><?php echo JText::_('ADSMANAGER_FORM_CATEGORY'); ?></th>
			<tr><td>	
				<select name="field_catsid[]" multiple='multiple' id="field_catsid[]" size="10">
				<?php 
				if (strpos($this->duration->catsid, ",-1,") === false)
					echo "<option value='-1'>".JText::_('ADSMANAGER_MENU_ALL_ADS')."</option>";
				else
					echo "<option value='-1' selected>".JText::_('ADSMANAGER_MENU_ALL_ADS')."</option>";
				
				$this->selectCategories(0,"",$this->cats,-1,-1,1,$this->duration->catsid);
				?>
				</select>
			</td></tr>
	  </table>
	</td></tr>
	</table>
	<input type="hidden" name="id" value="<?php echo $this->duration->id; ?>" />
	<input type="hidden" name="option" value="com_paidsystem" />
	<input type="hidden" name="c" value="durations" />
	<input type="hidden" name="task" value="" />
	</form>
	<script type="text/javascript">
	previousval = jQ('#duration').val();
	function checkUnlimited() {
		if (jQ('#unlimited').is(':checked')) {
			previousval = jQ('#duration').val();
			jQ('#duration').val(0);
			jQ('#duration').attr('readonly','readonly');
		} else {
			jQ('#duration').val(previousval);
			jQ('#duration').removeAttr('readonly');
		}
	}
	jQ('#unlimited').change(function() { checkUnlimited(); });
	checkUnlimited();

	</script>