<?php
/**
 *  @package invoicing
 *  @copyright Copyright (c)203 Juloa.com
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHtml::_('behavior.tooltip');
if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
} else {
	JHTML::_('behavior.mootools');
}
JHtml::_('behavior.modal');

FOFTemplateUtils::addJS('media://com_invoicing/js/jquery.validate.js');

$this->loadHelper('cparams');
$this->loadHelper('select');
$this->loadHelper('params');
?>

<form action="index.php" method="post" name="adminForm" id="adminForm" class="adminForm form formValidation">
<input type="hidden" name="option" value="com_invoicing" />
<input type="hidden" name="view" value="coupon" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="invoicing_coupon_id" value="<?php echo $this->item->invoicing_coupon_id ?>" />
<?php echo JHTML::_( 'form.token' ); ?>

<table cellspacing="0" cellpadding="0" width="100%">
<tr valign="top"><td width="60%">	
	<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist ">
			<tr>
				<td><?php echo JText::_('INVOICING_COUPON_TITLE'); ?></td>
				<td><input class="required" type="text" size="50" maxsize="255" name="title" value="<?php echo $this->escape($this->item->title); ?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('INVOICING_COUPON_CODE'); ?></td>
				<td><input class="required"  type="text" size="50" maxsize="255" name="code" value="<?php echo $this->escape($this->item->code); ?>" /></td>
				<td>&nbsp;</td>
			</tr>

			<tr>
				<td><?php echo JText::_('INVOICING_COUPON_VALUETYPE'); ?></td>
				<td class="required" ><?php echo invoicingHelperSelect::coupontypes('valuetype',$this->escape($this->item->valuetype)) ?></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('INVOICING_COUPON_VALUE'); ?></td>
				<td><input  class="required" type="text" size="50" maxsize="255" id="value" name="value" value="<?php echo $this->escape($this->item->value); ?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('JPUBLISHED'); ?></td>
				<td><?php echo JHTML::_('select.booleanlist', 'enabled', null, $this->item->enabled); ?></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('INVOICING_COUPON_HITS'); ?></td>
				<td><input type="text" size="50" maxsize="255" name="hits" value="<?php echo $this->escape($this->item->hits); ?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('INVOICING_COUPON_HITSLIMIT'); ?></td>
				<td><input type="text" size="50" maxsize="255" name="hitslimit" value="
				<?php 
				if ($this->escape($this->item->hitslimit) != 0) 
					echo $this->escape($this->item->hitslimit);
				?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td><?php echo JText::_('INVOICING_COUPON_USERHITSLIMIT'); ?></td>
				<td><input type="text" size="50" maxsize="255" name="userhitslimit" value="
				<?php 
				if ($this->escape($this->item->userhitslimit) != 0)
					echo $this->escape($this->item->userhitslimit);
				?>" /></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
			<td><?php echo JText::_('INVOICING_COUPON_APPLY_ON'); ?></td>
		    <td>
			<?php 
			echo InvoicingHelperSelect::itemtypes("apply_on",$this->item->apply_on,array('multiple'=>true))?></td>
			<td>&nbsp;</td>
			</tr>
		</tr>
	</table>
	</td></tr>
	</table>
</form>
	
<script type="text/javascript">
function jSelectUser_userid(id, username)
{
	document.getElementById('userid').value = id;
	document.getElementById('userid_visible').value = username;
	try {
		document.getElementById('sbox-window').close();	
	} catch(err) {
		SqueezeBox.close();
	}
}
window.addEvent("domready", function() {
	$$("button.modal").each(function(el) {
		el.addEvent("click", function(e) {
			try {
				new Event(e).stop();
			} catch(anotherMTUpgradeIssue) {
				try {
					e.stop();
				} catch(WhateverIsWrongWithYouIDontCare) {
					try {
						DOMEvent(e).stop();
					} catch(NoBleepinWay) {
						alert('If you see this message, your copy of Joomla! is FUBAR');
					}
				}
			}
			SqueezeBox.fromElement($('userselect'), {
				parse: 'rel'
			});
		});
	});
});
<?php if(version_compare(JVERSION,'1.6.0','>=')){ ?>
Joomla.submitbutton = function(pressbutton) {
<?php } else { ?>
function submitbutton(pressbutton) {
<?php } ?>
	if (pressbutton == 'cancel') {
		   submitform(pressbutton);	
		   return;
	}
    if(jQ("#adminForm").valid()){
    	submitform(pressbutton);	
    }else{
        return false;
    }
}

function valueCheck() {

	percentrules = { required: true, range: [0, 100], number:true};
	valuerules = {required: true, min:0 , number:true};
	jQ('#value').rules('remove');
	if (jQ('#valuetype').val() == 'percent') {
		
		jQ('#value').rules('add',percentrules);
	} else {
		jQ('#value').rules('add',valuerules);
	}
}

jQ().ready(function() { 
    // validate signup form on keyup and submit 
     var validator =jQ("#adminForm").validate({ 
         rules: { 
        	 title: { 
                 required: true,
				 minlength: 3
               },
			   
			 code: { 
        	     required: true,
				 minlength: 3
			   },
			   
			  value: { 
                 required: true,
                 min: 0,
                 number : true
               },
			   
			   valuetype: {
				 required: true
				},
				
				hits: {
				 digits: true
				},
				
				hitslimit: {
				 digits: true
				},
				
				userhitslimit: {
				 digits: true
				}
			},
         messages: { 
			 title: { 
                 required: "<?php echo JText::_('INVOICING_VALIDATION_FIELD_REQUIRED');?>",
				 minlength: jQ.format("<?php echo JText::_('Enter at least {0} characters');?>")
               },
			   
			 code: { 
        	     required: "<?php echo JText::_('INVOICING_VALIDATION_FIELD_REQUIRED');?>",
				 minlength: jQ.format("<?php echo JText::_('Enter at least {0} characters');?>")
			   },
			   
			  value: { 
                 required: "<?php echo JText::_('INVOICING_VALIDATION_FIELD_REQUIRED');?>"
               },
			   
			   valuetype: {
				 required: "<?php echo JText::_('INVOICING_VALIDATION_FIELD_REQUIRED');?>"
				},
				
				hits: {
				 digits: "<?php echo JText::_('INVOICING_VALIDATION_DIGITS_REQUIRED');?>"
				},
				
				hitslimit: {
				 digits: "<?php echo JText::_('INVOICING_VALIDATION_DIGITS_REQUIRED');?>"
				},
				
				userhitslimit: {
				 digits: "<?php echo JText::_('INVOICING_VALIDATION_DIGITS_REQUIRED');?>"
				}
         }
     });
     valueCheck();
     jQ('#valuetype').change(function() {valueCheck();});
});
</script>