<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2011 JoomPROD.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHtml::_('behavior.tooltip');
JHtml::_('behavior.modal');

if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
} else {
	JHTML::_('behavior.mootools');
}

$this->loadHelper('select');
$this->loadHelper('cparams');
$this->loadHelper('format');
?>
<div class="row-fluid">
<div class="span12">

<form action="index.php" method="post" name="adminForm" id="adminForm">
<input type="hidden" name="option" value="com_invoicing" />
<input type="hidden" name="view" value="references" />
<input type="hidden" id="task" name="task" value="browse" />
<input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
<input type="hidden" name="boxchecked" id="boxchecked" value="0" />
<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
<?php echo JHTML::_( 'form.token' ); ?>

<table class="adminlist table table-striped" id="itemsList">
	<thead>
		<tr>
			<th>
				<?php echo JHTML::_('grid.sort', 'Num', 'invoicing_reference_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
			<th></th>
			<th width="20%">
				<?php echo JHTML::_('grid.sort', 'INVOICING_REFERENCE_ID', 'invoicing_references_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
			<th>
				<?php echo JText::_('INVOICING_REFERENCE_DESCRIPTION');?>
			</th>	
			<th>
				<?php echo JText::_('INVOICING_REFERENCE_NET_UNIT_PRICE');?>
			</th>	
			<th>
				<?php echo JText::_('INVOICING_REFERENCE_TAX');?>
			</th>	
			<th>
				<?php echo JText::_('INVOICING_REFERENCE_GROSS_UNIT_PRICE');?>
			</th>	
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="20">
				<?php if($this->pagination->total > 0) echo $this->pagination->getListFooter() ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
		<?php if($count = count($this->items)): ?>
		<?php $i = -1; $m = 0; ?>
		<?php foreach ($this->items as $reference) : ?>
		<?php
			$i++; $m = 1-$m;
			//$checkedOut = ($invoice->locked_by != 0);
			$checkedOut = false;
			$ordering = $this->lists->order == 'ordering';
		?>
		<tr class="<?php echo  'row'.$m; ?>">
			<td align="center">
				<?php echo $reference->invoicing_reference_id; ?>
			</td>
			<td align="center">
				<?php echo JHTML::_('grid.id', $i, $reference->invoicing_reference_id, $checkedOut); ?>
			</td>
			<td align="center">
				<a href="index.php?option=com_invoicing&view=reference&id=<?php echo $reference->invoicing_reference_id; ?>">
				<?php echo $reference->invoicing_reference_id; ?>
				</a>
			</td>
			<td align="center">
					<a href="index.php?option=com_invoicing&view=reference&id=<?php echo $reference->invoicing_reference_id; ?>"><?php echo $reference->description; ?></a>
			</td>
			<td align="center">
					<?php echo $reference->net_unit_price; ?>
				</a>
			</td>
			<td align="center">
					<?php echo $reference->tax; ?>
				</a>
			</td>
			<td align="center">
					<?php echo $reference->gross_unit_price; ?>
				</a>
			</td>
		</tr>
		<?php endforeach; ?>	
		<?php else: ?>
		<tr>
			<td colspan="20">
				<?php echo  JText::_('COM_INVOICING_COMMON_NORECORDS') ?>
			</td>
		</tr>
		<?php endif; ?>
	</tbody>
</table>

</form>
	
</div>
</div>
