<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2011 JoomPROD.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHtml::_('behavior.tooltip');
if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
} else {
	JHTML::_('behavior.mootools');
}
//JHtml::_('behavior.modal');

FOFTemplateUtils::addJS('media://com_invoicing/js/jquery.form.js');
FOFTemplateUtils::addJS('media://com_invoicing/js/jquery.validate.js');
$this->loadHelper('select');
?>
<form action="index.php" method="post" name="adminForm" id="adminForm" class="adminForm form form formValidation">
	<input type="hidden" name="option" value="com_invoicing" />
	<input type="hidden" name="view" value="user" />
	<input type="hidden" name="task" value="save" />
	<input type="hidden" name="ajaxcall" value="1" />
	<input type="hidden" name="invoicing_template_id" value="<?php echo $this->item->invoicing_template_id ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>

	<table id="account_form" cellspacing="0" cellpadding="0" width="100%">
	<tr valign="top"><td width="60%">	
	
	
	<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
		<tr>
			<th><?php echo JText::_('INVOICING_FILELIST_TEXT') ?></th>
		</tr>
		<tr>
			<td>
				<?php 
					if(version_compare(JVERSION, '1.6', 'ge')) {
                        $id = $this->input->get('id');
                    } else {
                        $id = JRequest::getInt('id', 0);
                    }
					switch ($id) {
						default:
						case 1: 
							$type  = "order"; 
							break;
						case 2:
							$type  = "invoice"; 
							break;
						case 3:
							$type  = "quote"; 
							break;
					}
					
					$pathfile = JUri::root()."administrator/components/com_invoicing/templates/".$type."/";
					$path = JPATH_COMPONENT_ADMINISTRATOR."/templates/$type/";
					$result = array();
					$result = JFolder::files($path, $filter= '.html', $recurse=false, $fullpath=false, $exclude=array('.svn','CVS'));
					echo "<div id='container-templates'>";
					foreach ($result as $file) {
						echo "<div class='templatelink' template='$file'>";
						echo "<a href='#'><img src='$pathfile"; echo basename($file,'.html'); echo ".jpg' ></a>";
						echo "</div>";
					}
					echo "</div>";
					?>
			</td>
		</tr>
	</table>
	</td></tr>
	</table>
	<br/>
	</td></tr>
	</table>
</form>

<script>
parentfield = '<?php echo JRequest::getString('field', "")?>';
jQ(".templatelink").click(function() {
	template = jQ(this).attr('template');
	jQ.get("<?php echo JUri::root() ?>administrator/components/com_invoicing/templates/<?php echo $type?>/"+template+"?time=<?php echo time();?>", function(data) {
		jQ('#'+parentfield,window.parent.document).val(data);
		try {
			window.parent.document.getElementById('sbox-window').close();
		} catch(err) {
			window.parent.SqueezeBox.close();
		}
	});
});

</script>
