<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomProd
 *  @license GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();

class VirtualmoneyControllerAccount extends FOFController
{
    /**
     * Return true to avoid a 403 error
     * 
     * @return boolean
     */
    public function onBeforeAdd()
	{	
        $user = JFactory::getUser();
        
        //If the user isn't registered, we display the login page
        if($user->guest) {
            $app = JFactory::getApplication();
            $juri = JURI::getInstance();
			$myURI = base64_encode($juri->toString());
            $com = version_compare(JVERSION, '1.6.0', 'ge') ? 'users' : 'user';
			JFactory::getApplication()->redirect(JURI::base().'index.php?option=com_'.$com.'&view=login&return='.$myURI);
        }
		return true;
	}
    
}