<?php 
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
defined('_JEXEC') or die( 'Restricted access' );

$displayOptionText = true;
if(isset($conf->hide_option_text) && $conf->hide_option_text == 1){
        $displayOptionText = false;
}

if($displayOptionText){
    ?>
    <tr><td colspan='2'><?php echo  JText::_('PAIDSYSTEM_OPTIONS')?></td></tr>
    <?php 
}
?>
<?php if (count($durations) > 0) { ?>
<tr><td><?php echo  JText::_('PAIDSYSTEM_DURATION')?></td>
<?php 
	if ((@$row->pending == 1) || ($isUpdateMode == 0))
	{
		echo "<td><select name='ad_duration' mosReq='1' onchange=\"changeDuration(this)\" mosLabel='".htmlspecialchars(JText::_('PAIDSYSTEM_DURATION'),ENT_QUOTES)."' class='adsmanager_required'>";
		echo "<option value=''>".JText::_('PAIDSYSTEM_DURATION_SELECT')."</option>";
		$currentcat = JRequest::getInt("catid",-1);
		foreach($durations as $duration)
		{
			if ((strpos($duration->catsid, ",$currentcat,") !== false)||(strpos($duration->catsid, ",-1,") !== false))
			{
				if ($duration->duration == 0) {
					if ($duration->credits > 0)
						echo "<option value='$duration->id'>".sprintf(JText::_('PAIDSYSTEM_NO_EXPIRATION_WITH_PRICE'), getPrice($duration->credits))."</option>";
					else
						echo "<option value='$duration->id'>".JText::_('PAIDSYSTEM_NO_EXPIRATION')."</option>";
				} else {
					if ($duration->credits > 0)
						echo "<option value='$duration->id'>".sprintf(JText::_('PAIDSYSTEM_DURATION_DISPLAY'),$duration->duration, getPrice($duration->credits))."</option>";
					else
						echo "<option value='$duration->id'>".sprintf(JText::_('PAIDSYSTEM_DURATION_SHORT_DISPLAY'),$duration->duration)."</option>";
				}
			}
		}
		echo "</select>";
	}
	else
	{
		echo "<td>";
		if ($days > 100) {
			echo JText::_('PAIDSYSTEM_NO_EXPIRATION');
		} else {
			echo sprintf(JText::_('PAIDSYSTEM_DURATION_SHORT_DISPLAY'),$days);
		}
	}
?>
</td></tr>
<?php } ?>
<?php if (($adsmanager_conf->nb_images + $conf->num_images) > 0) {
		$nbimages = 0;
		?>	
		<script type="text/javascript">
		max_total_file_count =  <?php echo ($adsmanager_conf->nb_images + $conf->num_images)?>;
		nb_free_images = <?php echo $adsmanager_conf->nb_images ?>;
		if (current_uploaded_files_count > nb_free_images) {
			nb_free_images = current_uploaded_files_count;
		}	
		setTotalFileCount(max_total_file_count);
		<?php 
		if ($adsmanager_conf->nb_images == 0) {
			$html = sprintf(JText::_('ADSMANAGER_IMAGE_PRICE_WITHOUT_FREE_IMAGES'),  getPrice($conf->image_price));
		} else {
			$html = sprintf(JText::_('ADSMANAGER_IMAGE_PRICE_WITH_FREE_IMAGES'),$adsmanager_conf->nb_images,getPrice($conf->image_price));
		}?>
		jQ('#uploader_td').prepend(<?php echo json_encode($html) ?>);
		current_image_cost = 0; 
		function updatePaidCurrentFileCount(current_nbimages,new_nbimages) {
			image_price = <?php echo $conf->image_price?>; //* ad_duration_credits;
			//alert(ad_duration_credits+" "+image_price);
			if (new_nbimages >= nb_free_images) {
				price = image_price * (new_nbimages-nb_free_images);
			} else {
				price = 0;
			}
			changeprice = price - current_image_cost;
			current_image_cost = price;
			form.paidsystemadcost.value = parseFloat(form.paidsystemadcost.value) + changeprice;
		}
		</script>
<?php }?>
<?php 
if (($conf->featured_active == 1)&&(count($featureddurations) > 0)){
    if (!isset($adext)||($adext->featured == 0))
    {
		$ok = 0;
		$temp = "<tr><td>".JText::_('PAIDSYSTEM_FEATURED')."</td><td>\n";
		
		$temp .= "<select mosLabel='featured' id='featured_option' name='featured' onchange='checkPaidOption(\"featured\")'>";
		$temp .= "<option value='' price='0'>".JText::_('PAIDSYSTEM_NOT_SELECTED')."</option>";
		$currentcat = JRequest::getInt("catid",-1);	
		foreach($featureddurations as $d) {
			if ((strpos($d->catsid, ",$currentcat,") !== false)||(strpos($d->catsid, ",-1,") !== false)) {
				$temp .= "<option value='{$d->id}' price='{$d->credits}'>{$d->title}</option>";
				$ok = 1;
			}
		}
		$temp .= "</select>";
		$temp .= "</td></tr>";
		if ($ok == 1) {
			echo $temp;
		}
    }
    else
    {
		echo "<tr><td>".JText::_('PAIDSYSTEM_FEATURED')."</td><td>\n";
		if ($adext->featured_date != null) 
			echo sprintf(JText::_('PAIDSYSTEM_OPTION_ENDDATE'),$adext->featured_date);
		else 
			echo JText::_('PAIDSYSTEM_ALREADY_SELECTED')."\n";
		echo "</td></tr>";
    }
}
	
if (($conf->highlight_active == 1)&&(count($highlightdurations) > 0)){
    if (!isset($adext)||($adext->highlight == 0))
    {
		$ok = 0;
		$temp =  "<tr><td>".JText::_('PAIDSYSTEM_HIGHLIGHT')."</td><td>\n";
		
		$temp .=  "<select mosLabel='highlight' id='highlight_option' name='highlight' onchange='checkPaidOption(\"highlight\")'>";
		$temp .=  "<option value='' price='0'>".JText::_('PAIDSYSTEM_NOT_SELECTED')."</option>";
		$currentcat = JRequest::getInt("catid",-1);	
		foreach($highlightdurations as $d) {
			if ((strpos($d->catsid, ",$currentcat,") !== false)||(strpos($d->catsid, ",-1,") !== false)) {
				$temp .=  "<option value='{$d->id}' price='{$d->credits}'>{$d->title}</option>";
				$ok = 1;
			}	
		}
		$temp .=  "</select>";
		$temp .=  "</td></tr>";
		if ($ok == 1) {
			echo $temp;
		}
    }
    else
    {
		echo "<tr><td>".JText::_('PAIDSYSTEM_HIGHLIGHT')."</td><td>\n";
		if ($adext->highlight_date != null) 
			echo sprintf(JText::_('PAIDSYSTEM_OPTION_ENDDATE'),$adext->highlight_date);
		else 
			echo JText::_('PAIDSYSTEM_ALREADY_SELECTED')."\n";
		echo "</td></tr>";
    }
}
	
if (($conf->top_active == 1)&&(count($topdurations) != 0)) {
    if (!isset($adext)||($adext->top == 0))
    {
		$ok = 0;
		$temp = "<tr><td>".JText::_('PAIDSYSTEM_TOP')."</td><td>\n";
		
		$temp .= "<select mosLabel='top' name='top' id='top_option' onchange='checkPaidOption(\"top\")'>";
		$temp .= "<option value='' price='0'>".JText::_('PAIDSYSTEM_NOT_SELECTED')."</option>";
		$currentcat = JRequest::getInt("catid",-1);	
		foreach($topdurations as $d) {
			if ((strpos($d->catsid, ",$currentcat,") !== false)||(strpos($d->catsid, ",-1,") !== false)) {
				$temp .= "<option value='{$d->id}' price='{$d->credits}'>{$d->title}</option>";
				$ok = 1;
			}		
		}
   		$temp .=  "</select>";
		$temp .=  "</td></tr>";
		if ($ok == 1) {
			echo $temp;
		}
    }
    else
    {
		echo "<tr><td>".JText::_('PAIDSYSTEM_TOP')."</td><td>\n";
		if ($adext->top_date != null) 
			echo sprintf(JText::_('PAIDSYSTEM_OPTION_ENDDATE'),$adext->top_date);
		else 
			echo JText::_('PAIDSYSTEM_ALREADY_SELECTED')."\n";
		echo "</td></tr>";
    }
}
?>
<tr><td colspan='2'>
<?php
    $displayPrice = true;
    if(isset($conf->hide_total_price) && $conf->hide_total_price == 1){
        $displayPrice = false;
    }
?>
<table <?php if(!$displayPrice){ echo 'style="display: none;"'; } ?> border=0 width='75%'>
<?php
    if ($conf->mode == "credits") {
        if(getCurrencyPosition() == 'after')
            echo "<tr><td>".JText::_('PAIDSYSTEM_USER_CREDITS')."</td><td><input type='text' disabled='true' name='paidsystembalance' value='".$balance."' />".getCurrencySymbol()."</td></tr>";
        else
            echo "<tr><td>".JText::_('PAIDSYSTEM_USER_CREDITS')."</td><td>".getCurrencySymbol()."<input type='text' disabled='true' name='paidsystembalance' value='".$balance."' /></td></tr>";
    }
    if(getCurrencyPosition() == 'after')
        echo "<tr><td>".JText::_('PAIDSYSTEM_ADCOST')."</td><td><input type='text' disabled='true' name='paidsystemadcost' value='0'/>".getCurrencySymbol()."</td></tr>";
    else
        echo "<tr><td>".JText::_('PAIDSYSTEM_ADCOST')."</td><td>".getCurrencySymbol()."<input type='text' disabled='true' name='paidsystemadcost' value='0'/></td></tr>";
    ?>
</table></td></tr>