<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2011 JoomPROD.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<?php echo $this->content;?>
<?php if (@$this->couponstatus == "valid") {?>
<strong><?php echo sprintf(JText::_('INVOICING_COUPON_VALID'),"") ?></strong>
<br/><br/>
<?php } else if (@$this->couponstatus == "error") {?>
<strong><?php echo sprintf(JText::_('INVOICING_COUPON_ERROR'),"") ?></strong>
<br/><br/>
<?php } ?>
<strong><?php echo JText::_('INVOICING_ENTER_A_COUPON') ?></strong>
<?php $target = JRoute::_('index.php?option=com_invoicing&view=payment&task=checkcoupon'); ?>
<form action="<?php echo $target;?>" method="post" name="adminForm" id="adminForm">
<input type="text" value="" name="couponcode" />
<input type="hidden" value="<?php echo $this->item->invoicing_invoice_id?>" name="id" />
<input type="submit" class="button btn" value="<?php echo JText::_('INVOICING_VALID_COUPON') ?>"/>
</form>
<br/>
<?php if (@$this->item->net_amount == 0) {?>
<strong><?php echo JText::_('INVOICING_VALID_ORDER') ?></strong>
<ul>
<li class="paymentmethod">
<a href="<?php echo JRoute::_('index.php?option=com_invoicing&view=payment&task=validorder&id='.$this->item->invoicing_invoice_id)?>">
<?php echo JText::_('INVOICING_VALID_ORDER')?>
</a></li>
</ul>
<?php } else { ?>
<strong><?php echo JText::_('INVOICING_SELECT_A_PAYMENT_METHOD') ?></strong>
<ul class="paymentmethod_img_ul">
<?php foreach($this->processors as $processor) { 
	$url = JRoute::_('index.php?option=com_invoicing&view=payment&id='.$this->item->invoicing_invoice_id.'&method='.$processor->name);
	if (InvoicingHelperCparams::getParam('use_paymentimage',1)==1) {
		echo '<li class="paymentmethod_img"><a href="'.$url.'"><img src="'.htmlspecialchars($processor->image).'" /><span>'.htmlspecialchars($processor->title).'</span></a></li>';
	}
	else {
		echo '<li class="paymentmethod"><a href="'.$url.'">'.htmlspecialchars($processor->title).'</a></li>';
	}
} ?>
</ul>
<?php } ?>