<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

/**
 * 
 * @package		Joomla
 * @subpackage	Contacts
 */
class VirtualmoneyViewPack extends FOFViewHtml
{
	public function onAdd($tpl = NULL) {
        $app = JFactory::getApplication();
        if(VirtualmoneyHelperCparams::getParam('payment_module_enabled',1) == 1){
            if(file_exists(JPATH_ROOT.'/components/com_invoicing/lib/core.php')){
                $model = $this->getModel();

                $user = JFactory::getUser();

                $packs = $model
                         ->enabled('1')
                         ->getItemList();
                
                $credits = FOFModel::getTmpInstance('Credits', 'VirtualmoneyModel')
                   ->user_id($user->id)
                   ->getItemList();
                
                if(empty($credits))
                    $credits = 0;
                else
                    $credits = $credits[0]->credits;
                
                $this->assign('packs',$packs);
                $this->assign('credits', $credits);
            } else {
                $app->redirect( JRoute::_('index.php?option=com_virtualmoney&view=account&status=error'), JText::_('VIRTUALMONEY_PAYMENT_INVOICING_NEEDED') ,"message");
            }
        } else {
             $app->redirect( JRoute::_('index.php?option=com_virtualmoney&view=account&status=error'), JText::_('VIRTUALMONEY_PAYMENT_NOT_ENABLED') ,"message");
        }
	}
}