<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// no direct access
defined('_JEXEC') or die( 'Restricted access' );

require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/configuration.php');
require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/field.php');
require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/searchmodule.php');
require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/category.php');
require_once(JPATH_BASE."/components/com_adsmanager/helpers/field.php");

/****************************************************/
jimport( 'joomla.session.session' );	
$currentSession = JSession::getInstance('none',array());
$defaultvalues = $currentSession->get("search_fields",array());
			
$catid = $currentSession->get("searchfieldscatid",JRequest::getInt('catid', 0 ));
$app = JFactory::getApplication();
$text_search = $currentSession->get("tsearch",$app->getUserStateFromRequest('com_adsmanager.front_content.tsearch','tsearch',""));
		
$itemid = intval($params->get( 'default_itemid', JRequest::getInt('Itemid', 0 ) )) ;
$type = $params->get( 'type', "table") ;

$fieldmodel  = new AdsmanagerModelField();
$searchmodel  = new AdsmanagerModelSearchmodule();
$field_values = array();
$searchconfig = $searchmodel->getSearchModuleConfiguration();
$simple_fields = $searchmodel->getSearchFields("simple");
$advanced_fields = $searchmodel->getSearchFields("advanced");
$field_values = $fieldmodel->getFieldValues();

foreach($simple_fields as $field)
{
	if ($field->cbfieldvalues != "-1")
	{
		/*get CB value fields */
		$cbfieldvalues = $fieldmodel->getCBFieldValues($field->cbfieldvalues);
		$field_values[$field->fieldid] = $cbfieldvalues;
	}
}
foreach($advanced_fields as $field)
{
	if ($field->cbfieldvalues != "-1")
	{
		/*get CB value fields */
		$cbfieldvalues = $fieldmodel->getCBFieldValues($field->cbfieldvalues);
		$field_values[$field->fieldid] = $cbfieldvalues;
	}
}


$confmodel = new AdsmanagerModelConfiguration();
$conf = $confmodel->getConfiguration();

$categorymodel = new AdsmanagerModelCategory();

switch($conf->single_category_selection_type) {
	default:
	case 'normal':
	case 'color':
	case 'combobox':
		$cats = $categorymodel->getFlatTree(true, false, $nbcontents, 'read');
		break;
	case 'cascade':
		$cats = $categorymodel->getCategoriesPerLevel(true, false, $nbcontents, 'read');
		break;
}

$baseurl = JURI::base();

$field = new JHTMLAdsmanagerField($conf,$field_values,"2",$fieldmodel->getPlugins());//0 =>list

$url = "index.php";

require(JModuleHelper::getLayoutPath('mod_adsmanager_advancedsearch'));

$content="";
$path = JPATH_ADMINISTRATOR.'/../libraries/joomla/database/table';
JTable::addIncludePath($path);