<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2013 JoomPROD.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<?php $link = TRoute::_("index.php?option=com_adsmanager&view=result"); ?>
<form action="<?php echo $link; ?>" id="advsearchmoduleform" method="post">
<div class="adsmanager_search_box">
<?php /*<input class="inputbox" type="text" name="tsearch" value="<?php echo $text_search; ?>" />*/?>
<div>
<?php 
	switch($conf->single_category_selection_type) {
		default:
		case 'normal':
			JHTMLAdsmanagerCategory::displayNormalCategories("catid",$cats,$catid);break;
		case 'color':
			JHTMLAdsmanagerCategory::displayColorCategories("catid",$cats,$catid);break;
		case 'combobox':
			JHTMLAdsmanagerCategory::displayComboboxCategories("catid",$cats,$catid);break;
			break;
		case 'cascade':
			if ($type == "horizontal") 
				$separator = "";
			else
				$separator = "<br/>";
			JHTMLAdsmanagerCategory::displaySplitCategories("catid",$cats,$catid,array('separator'=>$separator));break;
	}
?>
</div>
<?php 
foreach($simple_fields as $fsearch) {
	echo "<div id='searchfield_$fsearch->fieldid'>";
	echo "<label class='fieldtitle'>".JText::_($fsearch->title)."</label>";
	echo "<span class='fieldvalue'>";
	$field->showFieldSearch($fsearch,0,$defaultvalues,true);
	echo "</span>";
	echo "</div>";
} ?>
<?php if(!empty($advanced_fields)){ ?>
<div id="togglemode">
<a href="#" id="togglesearch">
<?php echo JText::_('ADSMANAGER_ADVANCED_SEARCH')?>&nbsp;
<img src="<?php echo JURI::base()."modules/mod_adsmanager_advancedsearch/img/arrow_down.png"?>" />
</a>
</div>
<div id="advancedsearch">
<?php 
foreach($advanced_fields as $fsearch) {
	echo "<div id='searchfield_$fsearch->fieldid'>";
	echo "<label class='fieldtitle'>".JText::_($fsearch->title)."</label>";
	echo "<span class='fieldvalue'>";
	$field->showFieldSearch($fsearch,0,$defaultvalues,true);
	echo "</span>";
	echo "</div>";
} ?>
</div>
<?php } ?>
<input type="submit" class="button btn" value="<?php echo JText::_('ADSMANAGER_SEARCH_TITLE'); ?>"/>
<script type="text/javascript">
function updateModFields() {
	var form = document.advsearchmodform;
	catid = jQ('#advsearchmoduleform #catid').val();
	<?php
	$fields = array_merge($simple_fields,$advanced_fields);
	foreach($fields as $field)
	{ 	
		if (strpos($field->catsid, ",-1,") === false)
		{
		?>
		var field_condition = "<?php echo $field->catsid;?>";
		var test = field_condition.indexOf( ","+catid+",", 0 );
		var divfield = document.getElementById('searchfield_<?php echo $field->fieldid;?>');
		if (test != -1) {
			jQ('#searchfield_<?php echo $field->fieldid;?>').show();
		}
		else {
			jQ('#searchfield_<?php echo $field->fieldid;?>').hide();
		}
	<?php
		}
	} 
	?>
}
jQ(document).ready(function() {
	updateModFields();
	
	jQ('#advsearchmoduleform #catid').change(function(){
			updateModFields();
	});

	jQ('#togglesearch').click(function(){
		if (jQ('#advancedsearch').is(":visible")) {
			jQ('img',this).attr('src','<?php echo JURI::base()."modules/mod_adsmanager_advancedsearch/img/arrow_down.png"?>');
		} else {
			if (jQ('#catid').val() == "") {
				alert(<?php echo json_encode(JText::_('ADSMANAGER_MUST_SELECT_CATEGORY_FIRST'))?>);
				return false;
			}
			jQ('img',this).attr('src','<?php echo JURI::base()."modules/mod_adsmanager_advancedsearch/img/arrow_up.png"?>');
		}
		jQ('#advancedsearch').toggle(100);
		return false;
	});

	var updateCounter = function(id) {
	    return function(data, textStatus) {
	    	jQ("#"+id).next().html("("+data.count+")");
	    };
	};

	url = '<?php echo JURI::base()?>index.php?option=com_adsmanager&view=nbads&format=json';
	jQ('<span>(0)</span>').insertAfter('.category_cascade');
	jQ('<span>(0)</span>').insertAfter('#ad_country');
	jQ('.category_cascade').change(function() {
			val = jQ(this).val();
			id = jQ(this).attr('id');
			if ((val == "")&&(id != "category_level_0")) {
				jQ("#"+id).next().html("("+0+")");
			} else {
				data = {"catid":val};
				jQ.post(url, data, updateCounter(id), "json");
			}
			catid = val;
			data = {"catid":val,"ad_country":jQ("#ad_country").val()};
			jQ.post(url, data, updateCounter("ad_country"), "json");
	});
	jQ('.category_cascade').each(function() {
		val = jQ(this).val();
		id = jQ(this).attr('id');
		if ((val == "")&&(id != "category_level_0")) {
			jQ("#"+id).next().html("("+0+")");
		} else {
			data = {"catid":val};
			jQ.post(url, data, updateCounter(id), "json");
		}
		catid = val;
		data = {"catid":val,"ad_country":jQ("#ad_country").val()};
		jQ.post(url, data, updateCounter("ad_country"), "json");
	});

	jQ('#advsearchmoduleform #ad_country').change(function() {
		catid = jQ("#advsearchmoduleform #catid").val();
		if (typeof catid != "undefined") {
			data = {"catid":catid,"ad_country":jQ(this).val()};
			jQ.post(url, data, updateCounter("ad_country"), "json");
		}
	});
	
	
});
</script>
<input type="hidden" value="1" name="new_search" />
</div>
</form>