<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2011 JoomPROD.com. All rights reserved.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

require_once(JPATH_ADMINISTRATOR.'/components/com_invoicing/assets/generatorplugin.php');

class plgInvoicinggeneratorVirtualmoney extends InvoicingAbstractGeneratorPlugin
{
	function getItemTypes()
	{
		$types = array( "virtualmoney-pack-{x}"=> JText::_('VIRTUALMONEY_ITEMTYPE_PACK'));
		return $types;
	}
	
	function onInvoicingPaymentValidation($invoice)
	{	
        $generator_key = $invoice->generator_key;
        $generator = $invoice->generator;
		if($generator != "virtualmoney") return false;
		
        include_once(JPATH_ROOT.'/components/com_virtualmoney/lib/core.php');
                
		$orderid = $generator_key;
		
		$query = " SELECT * ".
				" FROM #__virtualmoney_orders".
				" WHERE virtualmoney_order_id = ".intval($orderid);
		$db = JFactory::getDbo();
		$db->setQuery($query);
		$pending = $db->loadObject();
		
        Virtualmoney::addCredits($pending->user_id, $pending->credits, $pending->description, 'VirtualMoney');
        
        $query = " UPDATE #__virtualmoney_orders".
                 " SET state = 'Paid'".
                 " WHERE virtualmoney_order_id = ".intval($orderid);
        $db->setQuery($query);
        $db->query();
	}
}
