<?php
 /**
  * @version		
  * @copyright	Copyright (C) 2005 - 2010 JoomPROD, Inc. All rights reserved.
  * @license	GNU General Public License version 2 or later; see LICENSE.txt
  */
 
 defined('JPATH_BASE') or die;
 
 jimport( 'joomla.html.parameter' );
 jimport( 'joomla.registry.registry' );
 
 class plgUserVirtualmoney extends JPlugin
 {

 	//Joomla 1.5
	function onAfterStoreUser($data, $isNew, $result, $error)
	{
		$userId	= JArrayHelper::getValue($data, 'id', 0, 'int');
		
		if ($userId && $isNew)
		{
			$plugin = JPluginHelper::getPlugin('user','virtualmoney');
            $this->params = new JParameter( $plugin->params );
			$credits = intval($this->params->get('nbcredits','10'));

			$db =JFactory::getDbo();
			$db->setQuery( "INSERT IGNORE INTO #__virtualmoney_credits (`user_id`,`credits`) 
                            VALUES ( '$userId','$credits' )");
			$db->query();
            
			$db->setQuery( "INSERT IGNORE INTO #__virtualmoney_transactions (`user_id`,`credits`,`balance`,`description`,`created_on`) 
                            VALUES ( '$userId','$credits','$credits','".JText::_('VIRTUALMONEY_TRANSACTION_WELCOME_OFFER')."','".date('Y-m-d H:i:s')."')");
			$db->query();
		}
 
		return true;
	}

	//Joomla 1.6
	function onUserAfterSave($data, $isNew, $result, $error)
	{
		$userId	= JArrayHelper::getValue($data, 'id', 0, 'int');
		
		if ($userId && $isNew)
		{
			$plugin = JPluginHelper::getPlugin('user', 'virtualmoney');
       		$this->params = new JRegistry( $plugin->params );
			$credits = intval($this->params->get('nbcredits','10'));

			$db =JFactory::getDbo();
			$obj = new stdClass();
			$obj->user_id = $userId;
			$obj->credits = $credits;
			$db->insertObject("#__virtualmoney_credits",$obj);
			
			$obj = new stdClass();
			$obj->user_id = $userId;
			$obj->credits = $credits;
			$obj->balance = $credits;
			$obj->description = JText::_('VIRTUALMONEY_TRANSACTION_WELCOME_OFFER');
			$obj->created_on = date('Y-m-d H:i:s');
			$db->insertObject("#__virtualmoney_transactions",$obj);
		}
 
		return true;
	}
 }
